ReportingCloud

GET /v1/account/settings

Endpoint

GET https://api.reporting.cloud/v1/account/settings

Description

Returns the serial number of the account, its quotas and how much of each is used: created documents, stored templates and spell checking transactions, each with its maximum. validUntil is the end of the subscription, and null on a trial account. See Plans and Licensing.

Examples

Request:

curl -u username:password -X GET "https://api.reporting.cloud/v1/account/settings"

Results:

{
  "serialNumber": "Trial",
  "createdDocuments": 13,
  "uploadedTemplates": 4,
  "maxDocuments": 1000,
  "maxTemplates": 20,
  "validUntil": null,
  "proofingTransactions": 10,
  "maxProofingTransactions": 10000
}

Authorization

This endpoint requires a "ReportingCloud-APIKey" or a "Basic" user authorization to access the user account, data and templates. Only one of these two methods is required.

API Keys describes how to create an API key, and Authentication explains both header forms.

ReportingCloud-APIKey

Header fieldDescription
AuthorizationRequired. A valid ReportingCloud account is required. The Authorization field is constructed as follows: An API key needs to be generated in the portal or with PUT /v1/account/apikey. The authorization method and a space, "ReportingCloud-APIKey ", is then put before the actual API key string. For example: Authorization: ReportingCloud-APIKey oMDM4MrAqL9QEOpyzupnQW5NjvCNtvE5cVDaaLqxI

Basic

Header fieldDescription
AuthorizationRequired. A valid ReportingCloud account is required. The Authorization field is constructed as follows: The user name and password are combined into a string separated by a colon, for example username:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space, "Basic ", is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK). The response body contains a ReportingCloud AccountSettings object.

AccountSettings

NameTypeValueOptional
serialNumberStringThe serial number that is attached to the account: Trial for a trial account, or the 13-character serial number of a subscription.no
validUntilDateTime (String)Returns the date until the current subscription is valid. The date string includes the time zone of the server (UTC). Sample: 2016-06-06T11:25:44+00:00. null for a trial account.no
createdDocumentsIntegerThe number of created documents in the current month.no
uploadedTemplatesIntegerThe number of templates in the template storage, including the demo template sample_invoice.tx.no
maxDocumentsIntegerThe maximum number of documents that can be created per month.no
maxTemplatesIntegerThe maximum number of templates that can be uploaded to the template storage.no
proofingTransactionsIntegerThe number of proofing transactions in the current month.no
maxProofingTransactionsIntegerThe maximum number of proofing transactions per month.no

Error Response

StatusDescription
403A 403 (Forbidden) is returned, if the user is not authorized.
405A 405 (Method Not Allowed) is returned, if the request uses another HTTP method than GET. The Allow header of the response names GET.
500A 500 (Internal Server Error) is returned, if the request has no Authorization header, an empty one or one that is not the authorization method, a space and the credentials.